diff -aur dibbler-0.7.1-1/debian/changelog dibbler-0.7.1-2/debian/changelog
--- dibbler-0.7.1-1/debian/changelog	2008-08-12 13:39:55.000000000 +0100
+++ dibbler-0.7.1-2/debian/changelog	2008-08-12 13:40:06.000000000 +0100
@@ -1,3 +1,9 @@
+dibbler (0.7.1-2) unstable; urgency=low
+
+  * ucf is now used properly (closes: #494265)
+
+ --  Tomasz Mrugalski <thomson@klub.com.pl>  Tue, 12 Aug 2008 00:52:36 +0200
+
 dibbler (0.7.1-1) unstable; urgency=low
 
   * New upstream release (0.7.0 was never fully released)
diff -aur dibbler-0.7.1-1/debian/dibbler-client.postinst dibbler-0.7.1-2/debian/dibbler-client.postinst
--- dibbler-0.7.1-1/debian/dibbler-client.postinst	2008-08-12 13:39:55.000000000 +0100
+++ dibbler-0.7.1-2/debian/dibbler-client.postinst	2008-08-12 13:40:06.000000000 +0100
@@ -94,10 +94,10 @@
     echo "" >> ${CONFFILE_NEW}
 done
 
-db_stop
-
 # register this config
-test -f /usr/bin/ucf && ucf ${CONFFILE_NEW} ${CONFFILE} </dev/tty
+test -x /usr/bin/ucf && ucf ${CONFFILE_NEW} ${CONFFILE}
+
+db_stop
 
 # Start service if necessary
 if [ $START == "true" ]; then
Only in dibbler-0.7.1-2/debian: dibbler-relay.postrm
Only in dibbler-0.7.1-2/debian: dibbler-relay.prerm
Only in dibbler-0.7.1-2/debian: patches
diff -aur dibbler-0.7.1-1/Makefile dibbler-0.7.1-2/Makefile
--- dibbler-0.7.1-1/Makefile	2008-08-12 13:39:55.000000000 +0100
+++ dibbler-0.7.1-2/Makefile	2008-06-29 18:35:05.000000000 +0100
@@ -163,11 +163,12 @@
 libposlib: poslib-configure
 	@echo "[MAKE   ] /poslib/poslib"
 	$(MAKE) -C $(PREFIX)/poslib > poslib.log
+	rm -f $(POSLIB)/*.so*
 
 poslib-configure:
 	@echo "[CONFIG ] /poslib/"
 	cd $(PREFIX)/poslib; test -e "config.h" || \
-		./configure --disable-shared --host=$(CHOST) --build=$(CBUILD) >configure-poslib.log;
+		./configure --host=$(CHOST) --build=$(CBUILD) >configure-poslib.log;
 
 relaylibs:	includes
 	@for dir in $(RELSUBDIRS); do \
diff -aur dibbler-0.7.1-1/Makefile.inc dibbler-0.7.1-2/Makefile.inc
--- dibbler-0.7.1-1/Makefile.inc	2008-08-12 13:39:55.000000000 +0100
+++ dibbler-0.7.1-2/Makefile.inc	2008-06-22 17:32:04.000000000 +0100
@@ -67,8 +67,7 @@
 #XMLLIBS      = `pkg-config libxml-2.0 --libs`
 
 # === do not modify anything below ===
-SILENTMAKE   = -s
-MAKEFLAGS   += $(SILENTMAKE)
+MAKEFLAGS   += -s
 VERSION      = `$(TOPDIR)/test/xtract_version`
 INST_WORKDIR = $(DESTDIR)'/var/lib/dibbler'
 INST_MANDIR  = $(DESTDIR)'/usr/local/man'
